> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy hồ sơ công ty



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /symbols/{symbol}/profile
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /symbols/{symbol}/profile:
    get:
      tags:
        - Symbols
      summary: Lấy hồ sơ công ty
      operationId: Symbols_GetInstitutionProfile
      parameters:
        - name: symbol
          in: path
          description: Mã chứng khoán (với tổ chức đã niêm yết)/ID của tổ chức
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Institutions.CompanyInfo
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Institutions.CompanyInfo
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - symbols-read
components:
  schemas:
    FireAnt.Api.Models.Institutions.CompanyInfo:
      description: Company Information
      type: object
      properties:
        institutionID:
          format: int32
          type: integer
        symbol:
          description: Mã chứng khoán
          type: string
        icbCode:
          description: Mã ngành ICB
          type: string
        companyName:
          description: Tên doanh nghiệp
          type: string
        shortName:
          description: Tên viết tắt của doanh nghiệp
          type: string
        internationalName:
          description: Tên quốc tế của doanh nghiệp
          type: string
        headQuarters:
          description: Trụ sở
          type: string
        phone:
          description: Điện thoạ
          type: string
        fax:
          description: Fax
          type: string
        email:
          description: Email
          type: string
        webAddress:
          description: Website
          type: string
        overview:
          description: Tổng quan
          type: string
        history:
          description: Lịch sử hình thành
          type: string
        businessAreas:
          description: Ngành nghề kinh doanh
          type: string
        employees:
          format: int64
          description: Số nhân viên
          type: integer
        branches:
          format: int32
          description: Số chi nhánh
          type: integer
        establishmentDate:
          format: date-time
          description: Ngày thành lập
          type: string
        businessLicenseNumber:
          description: Số đăng ký kinh doanh
          type: string
        dateOfIssue:
          format: date-time
          description: Ngày cấp đăng ký kinh doanh
          type: string
        taxIDNumber:
          description: Mã số thuế
          type: string
        charterCapital:
          format: double
          description: Vốn điều lệ
          type: number
        dateOfListing:
          format: date-time
          description: Ngày niêm yết
          type: string
        exchange:
          description: Sàn niêm yết
          type: string
        initialListingPrice:
          format: double
          description: Giá niêm yết
          type: number
        listingVolume:
          format: double
          description: Khối lượng niêm yết
          type: number
        stateOwnership:
          format: double
          description: Tỉ lệ sở hữu nhà nước
          type: number
        foreignOwnership:
          format: double
          description: Tỉ lệ sở hữu nước ngoài
          type: number
        otherOwnership:
          format: double
          description: Tỉ lệ sở hữu khác
          type: number
        isListed:
          description: Đã niêm yết
          type: boolean
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.